Subject: Re: incorrect font chosen

From: Chong Yidong <[email-masked]>
Date: Sun, 19 Oct 2008 23:51:25 -0400

Dan Nicolaescu <[email-masked]> writes:

> It seems that on Fedora 9 the default emacs package installs
> /usr/share/X11/app-defaults/Emacs with this content:
>
> Emacs*font: -adobe-courier-medium-r-*-*-12-120-75-75-*-*-*-*
>
> If I move it out of the way, everything works fine.  But that is not
> the only problem.
>
> If you remember from my initial report on this, I have an older
> version of emacs from CVS from February 27th (I think before the
> unicode-2 merge), and that one works fine even if
> /usr/share/X11/app-defaults/Emacs is present.

I played around with this a little.  If I put

Emacs*font: -adobe-courier-medium-r-*-*-12-120-75-75-*-*-*-*

in my .Xresources file, then

emacs -Q -xrm 'Emacs.Font: -b&h-lucidatypewriter-medium-r-normal-sans-12-120-75-75-m-70-iso10646-1'
>>> -adobe-courier-medium-r-normal--12-120-75-75-m-70-iso8859-1

emacs -Q -xrm 'emacs.Font: -b&h-lucidatypewriter-medium-r-normal-sans-12-120-75-75-m-70-iso10646-1'
>>> -b&h-lucidatypewriter-medium-r-normal-sans-12-120-75-75-m-70-iso10646-1

This behavior is the same for both CVS Emacs and Emacs 22.

I think this behavior makes sense, because the "emacs" X attribute
setting should override the "Emacs" class setting, and the "font"
attribute setting overrides the "Font" class setting.  Maybe your Feb 27
build contained a bug that was subsequently fixed.